<?php
$path="../../";
include("../../map.php");
include("../../scripts.php");
include("../../secure.php");
if($_GET["ne"]=="sayfa" or $_GET["ne"]=="haber" or $_GET["ne"]=="msayfa"){
	$sql=mysqli_query($conn, "select * from ".$_SESSION['lang']." where id=".$_GET["id"].""); $rs=mysqli_fetch_assoc($sql);
	$isim=cevir(substr($rs["t1"],0,15));
}else{
	$isim="dosya";
}
if($_GET["detail"]<>""){ $cls="dn"; $col="12";}else{$col="4"; $cls="";}
// PHP ile izin verilen maksimum dosya boyutunu alıyoruz
$max_upload = ini_get('upload_max_filesize');
$max_post = ini_get('post_max_size');
$max_file_size_bytes = min(parse_size($max_upload), parse_size($max_post)); // Küçük olan değeri alıyoruz
// Boyutları byte cinsine çevirmek için bir fonksiyon
function parse_size($size) {
    $unit = strtolower(substr($size, -1));
    $value = (int) $size;
    switch ($unit) {
        case 'g': return $value * 1024 * 1024 * 1024;
        case 'm': return $value * 1024 * 1024;
        case 'k': return $value * 1024;
        default: return $value;
    }
}
?>
<html style="background-color:white;">
<head>
	<meta http-equiv="Content-Language" content="tr">
</head>
<body>
<form method="POST" name="frm" enctype="multipart/form-data" action="?ne=<?php echo $_GET["ne"];?>&islem=<?php echo $_GET["islem"];?>&durum=uploadfile&id=<?php echo $_GET["id"];?>" onSubmit="return check(this)">
	<input type="hidden" name="gs4" value="<?php echo $_GET["s4"];?>"><!--İç Sayfa Id-->
	<div class="panel">
		<div class="panel-heading panel-<?php if($_GET["durum"]==ok){?>success<?php }else{?>default<?php }?>"><?php echo $sdil[77]; //dosya Upload?> 
		<?php if($_GET["durum"]==ok){?>
			#<?php echo $sdil[212]; //islem Basariyla Gerçeklestirilmistir !?>
		<?php }?>
		</div>
		<div class="panel-body">
			<div class="col-xs-6">
				<label class="ifile">Dosya max(<?php echo $max_upload?>)
				<input type="file" class="form-control" name="dosya" accept=".zip,.rar,.xlsx,.xls,.doc,.docx,.pdf" onchange="validateFileSize(this); document.getElementById('file_name').value = this.value.split('\\').pop().replace(/_/g, ' ').replace(/\.\w+$/, '');" /></label>
			</div>
			<div class="col-xs-6">
				<label class="<?php echo $cls?> ifile">Dosya Görseli (Yoksa Boş Bırakınız) <span style="font-size:8px; color:#ccc;">(t5)</span>
				<input type="file" class="form-control <?php echo $cls?>" name="t5" accept="image/*"></label>
			</div>
			<input type="text" name="t2" id="file_name" class="form-control with-tip <?php echo $cls?>" title="Dosya Adi (t2)" placeholder="Dosya Adi" style="margin-top:5px;">
			<textarea name="n3" rows="2" class="form-control with-tip <?php echo $cls?>" title="Dosya Açiklama (n3)" style="margin-top:5px;"  placeholder="Dosya Açiklama"></textarea>
			<div class="row" style="margin-top:10px;">
				<div class="col-xs-4 <?php echo $cls?>">
					<select size="1" name="s1" style="width:100%;" title="(s1)" class="v3-form-control">
						<option value="<?php echo $_GET["id"]?>">[<?php echo $_GET["id"]?>] <?php echo translate("Varsayılan");?></option>
						<?php $sqll = mysqli_query($conn, "select * from ".$_SESSION['lang']." where ne='".$_GET["ne"]."'" ); while($rsl=mysqli_fetch_assoc($sqll)){?>
							<option value="<?php echo $rsl["id"];?>" <?php if($rsl["id"]==$_GET["id"]){?>Selected<?php }?>>[<?php echo $rsl["id"];?>] <?php echo $rsl["t1"];?></option>
						<?php }?>
					</select>
				</div>
				<div class="col-xs-4 <?php echo $cls?>">
					<select size="1" name="s4" style="width:100%;" title="Grup (s4)" class="v3-form-control">
						<option value="0" <?php if($rs["s4"]=="0"){?>Selected<?php }?>>[0] <?php echo translate("Grup Seçimi");?></option>
						<?php if($module["m4_dosya"]<>""){$rgrups = explode(',',$module["m4_dosya"]); foreach($rgrups as $rgrup) {$g++;?>
							<option value="<?php echo $g;?>" <?php if($rs["s4"]==$g){?>Selected<?php }?>>[<?php echo $g;?>] <?php echo $rgrup;?></option>
						<?php }}?>
						<?php if($module["g1_".$_GET["ne"].""]=="1"){?>
							<?php $sql=mysqli_query($conn, "select * from t1 where ne='isayfa' and (t2='".$_SESSION['lang']."' or t2='All') and s1=".$_GET["id"]." order by s2 asc"); while($xn=mysqli_fetch_assoc($sql)){?>
								<option value="<?php echo $xn["id"];?>" <?php if($_GET["s4"]==$xn["id"]){?>Selected<?php }?>>[<?php echo $xn["id"];?>] <?php echo $xn["t1"];?></option>
							<?php }}?>
					</select>
				</div>
				<div class="col-xs-<?php echo $col?>">
					<button type="submit" style="float:right; margin-right:10px; margin-top:10px;" id="btn" class="btn btn-primary loading demo"><?php echo $sdil[203]; //Kaydet?></button>
				</div>
			</div>
		</div>
	</div>
</form>
<script>
function validateFileSize(input) {
    var file = input.files[0];
    if (file) {
        var fileSize = file.size; // byte cinsinden dosya boyutu
        var maxFileSize = <?php echo $max_file_size_bytes; ?>; // PHP'den alınan maksimum dosya boyutu (byte)
        if (fileSize > maxFileSize) {
            alert("Dosya boyutu çok büyük. Lütfen " + (maxFileSize / 1024 / 1024) + " MB'den küçük bir dosya seçin.");
            input.value = ""; // Seçilen dosyayı temizle
        }
    }
}
</script>
	</body>
	</html>
	<?php
	if ($_GET["durum"]=="uploadfile"){
		if(!empty($_GET["id"])){$ID=$_GET["id"];}else{$ID="0";}
		if(!empty($_POST["gs4"])){$s4=$_POST["gs4"];}else{$s4=$_POST["s4"];}
		if(!empty($_SESSION["user_id"])){$s19=$_SESSION["user_id"];}else{$s19=0;}
		$kaydedilecekyer = "../../../deppo/dosya";
		$frand   = substr(md5(uniqid(rand())),0,10); 
		$dkaynak = $_FILES['dosya']['tmp_name'];	//Burasi resminiz kök klasörünün yerini verir  
		$dtipi	 = $_FILES['dosya']['type']; // Dosyanin Tipi
		$dadi	 = $_FILES["dosya"]["name"]; // Dosyanin PCdeki Adi
		$duzanti = explode('.',$_FILES['dosya']['name']);
		$dyeni   = "".$isim."-".$frand.".".$duzanti[count($duzanti)-1]."";
		move_uploaded_file ($_FILES['dosya']['tmp_name'], $kaydedilecekyer . "/".$dyeni);
		if (!empty($_FILES['t5']['name'])) {
			$rkaynak = $_FILES['t5']['tmp_name'];  // Resmin geçici dosya yolu
			$rtipi   = $_FILES['t5']['type'];      // Dosya tipi
			$radi    = $_FILES["t5"]["name"];      // Orijinal dosya adı
			$ruzanti = pathinfo($radi, PATHINFO_EXTENSION); // Dosya uzantısı
			$ryeni   = "{$isim}-{$frand}.{$ruzanti}"; // Yeni dosya adı
			
			move_uploaded_file($rkaynak, $kaydedilecekyer . "/".$ryeni);

			// WEBP dönüşümü
			if ($module["webp"] == 1) {
				$ryeni = towebp($ryeni, "../../../deppo/dosya/");
			}
		}
	$conn->query("insert INTO medya(ne,t1,t2,t3,t4,t5,t6,n3,s1,s2,s3,s4,s13,ts1,s19) VALUES ('dosya', '".addslashes($dyeni)."', '".addslashes($_POST['t2'])."', '".$_GET['ne']."', '".$duzanti[count($duzanti)-1]."', '".addslashes($ryeni)."', '".$_SESSION["lang"]."', '".addslashes($_POST['n3'])."', '".$ID."', '0', '0', '".$s4."','1', now(),'".$s19."')");
	echo location("?ne=".$_GET["ne"]."&islem=".$_GET["islem"]."&id=".$_GET["id"]."&durum=ok",self,1,1);
}
include("../public/log.php");
?>